#include <iostream>
#include <fstream>
using namespace std;
int main() 
{
	ifstream f1 ("stonn.inp");
	int N,i,ok=0;
	cin>>N;
	for(int i=2;i*i<N;i++)
	{
		if(N%i==0){ok=1;break;}
	}
	if(ok==1){cout<<"No";}
	else{cout<<"Yes";}
	return 0;
}
